gettext-el_0.19.7-2ubuntu3.1_all.deb


Advertisement

Description

gettext-el - Emacs po-mode for editing gettext .po files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename gettext-el_0.19.7-2ubuntu3.1_all.deb
Package name gettext-el
Package version 0.19.7
Package release 2ubuntu3.1
Package architecture all
Package type deb
Category lisp
Homepage http://www.gnu.org/software/gettext/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 33.77 KB
Installed size 198.00 KB
This package contains po-mode.el for easy .po editing using emacs.

Alternatives

Package Version Architecture Repository
gettext-el_0.19.7-2ubuntu3.1_all.deb 0.19.7 all Ubuntu Updates Main
gettext-el_0.19.7-2ubuntu3_all.deb 0.19.7 all Ubuntu Main
gettext-el_0.19.7-2ubuntu3_all.deb 0.19.7 all Ubuntu Main
gettext-el - - -

Requires

Name Value
emacs -
emacsen -
gettext -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gettext-el_0.19.7-2ubuntu3.1_all.deb
Source Package gettext

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gettext-el deb package:
    # sudo apt-get install gettext-el

Files

Path
/etc/emacs/site-start.d/50gettext.el
/usr/lib/emacsen-common/packages/install/gettext-el
/usr/lib/emacsen-common/packages/remove/gettext-el
/usr/share/doc/gettext-el/changelog.Debian.gz
/usr/share/doc/gettext-el/copyright
/usr/share/emacs/site-lisp/gettext/po-compat.el
/usr/share/emacs/site-lisp/gettext/po-mode.el

Changelog

2018-11-07 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
gettext (0.19.7-2ubuntu3.1) xenial-security; urgency=medium
* SECURITY UPDATE: Invalid free
- debian/patches/CVE-2018-18751.patch: fix in
gettext-tools/src/po-gram-gen.y,
gettext-tools/src/read-catalog.c,
gettext-tools/tests/Makefile.am,
gettext-tools/tests/xgettext-po-2.
- CVE-2018-18751
* Add bison as build-dep since gettext runs/needs yacc in build time
- debian/control
2016-02-10 - Matthias Klose <doko@ubuntu.com>
gettext (0.19.7-2ubuntu3) xenial; urgency=medium
* gettext: Move preloadable_libintl.so into the multiarch libdir.
2016-01-28 - Matthias Klose <doko@ubuntu.com>
gettext (0.19.7-2ubuntu2) xenial; urgency=medium
* Fix shlibs dependencies for multiarch locations.
2016-01-27 - Matthias Klose <doko@ubuntu.com>
gettext (0.19.7-2ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Allow the package to cross-build.
- Define a stage1 profile to build without java and git.
- Explicitly configure with --disable-csharp.
- Drop autopoint recommends of gettext. It pulls in git and
other sizable packages which make the CDs explode.
- gettext-el: Add an alternative dependency on emacs24.
* Move libgettextsrc and libgettextlib into the multiarch libdir.
2016-01-05 - Santiago Vila <sanvila@debian.org>
gettext (0.19.7-2) unstable; urgency=high
* Install version specific data files from /usr/share/gettext-VERSION.
This should fix glade support. Thanks to Daiki Ueno. Closes: #809846. 
2015-12-29 - Santiago Vila <sanvila@debian.org>
gettext (0.19.7-1) unstable; urgency=medium
* New upstream release.
* Drop libexpat1-dev from Build-Depends, following upstream.
2015-12-15 - Rico Tzschichholz <ricotz@ubuntu.com>
gettext (0.19.6-1ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Allow the package to cross-build.
- Define a stage1 profile to build without java and git.
- Explicitly configure with --disable-csharp.
- Drop autopoint recommends of gettext. It pulls in git and
other sizable packages which make the CDs explode.
- gettext-el: Add an alternative dependency on emacs24.
2015-09-14 - Santiago Vila <sanvila@debian.org>
gettext (0.19.6-1) unstable; urgency=medium
* New upstream release.
* Drop debian/patches/03-fix-gettextize-version. No longer needed.
* Drop dependency of gettext-base on libasprintf0v5 as it dates from
a split made in release 0.18.1.1-6.
* Keep curl and friends in Recommends, for translators.
Move autopoint, libasprintf-dev and libgettextpo-dev to Suggests.
* Downgrade libasprintf0v5 to optional.
* Add debian/upstream/signing-key.asc and improve debian/watch file.
* Makefile.in.in has now a general mechanism to set the header of
a POT file, using $(DOMAIN).pot-update. This could be used to set
copyright holders and other things. Closes: #682580.
* Fix po-mode handling of msgfmt version number. Closes: #798903.
* Drop Pre-Depends on multiarch-support, because a stable release
has already happened.
2015-08-02 - Santiago Vila <sanvila@debian.org>
gettext (0.19.5.1-1) unstable; urgency=medium
* New upstream release.
* New C++ ABI. libasprintf0c2 becomes libasprintf0v5.
Thanks a lot to Matthias Klose. Closes: #793897.
* Add patches/03-fix-gettextize-version to avoid FTBFS bugs on
packages using autopoint and friends. See bug-gettext for details.
2015-07-28 - Matthias Klose <doko@ubuntu.com>
gettext (0.19.4-1ubuntu3) wily; urgency=medium
* Rename libasprintf0c2 to libasprintf0v5.
* Add Conflict/Replaces to the old library.

See Also

Package Description
gettext_0.19.7-2ubuntu3.1_amd64.deb GNU Internationalization utilities
gfortran-5-doc_5.4.0-6ubuntu1~16.04.12_all.deb Documentation for the GNU Fortran compiler (gfortran)
gfortran-5-multilib_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU Fortran compiler (multilib support)
gfortran-5_5.4.0-6ubuntu1~16.04.12_amd64.deb GNU Fortran compiler
ghostscript-doc_9.26~dfsg+0-0ubuntu0.16.04.12_all.deb interpreter for the PostScript language and for PDF - Documentation
ghostscript-x_9.26~dfsg+0-0ubuntu0.16.04.12_amd64.deb interpreter for the PostScript language and for PDF - X11 support
ghostscript_9.26~dfsg+0-0ubuntu0.16.04.12_amd64.deb interpreter for the PostScript language and for PDF
giflib-tools_5.1.4-0.3~16.04.1_amd64.deb library for GIF images (utilities)
gir1.2-accountsservice-1.0_0.6.40-2ubuntu11.3_amd64.deb GObject introspection data for AccountService
gir1.2-appindicator-0.1_12.10.1+16.04.20170215-0ubuntu1_amd64.deb Typelib files for libappindicator1
gir1.2-appindicator3-0.1_12.10.1+16.04.20170215-0ubuntu1_amd64.deb Typelib files for libappindicator3-1
gir1.2-appstream_0.9.4-1ubuntu4_amd64.deb Library to access AppStream services (introspection data)
gir1.2-appstreamglib-1.0_0.5.13-1ubuntu6_amd64.deb GObject introspection data for the libappstream-glib library
gir1.2-bamf-3_0.5.3~bzr0+16.04.20180209-0ubuntu1_amd64.deb GObject introspection data for the Bamf library
gir1.2-click-0.4_0.4.43+16.04.20170613-0ubuntu1_amd64.deb GIR bindings for Click package management library
Advertisement
Advertisement